package com.yxproject.start.entity;

import javax.persistence.*;

/**
 * Created by Administrator on 2018/11/21.
 */
@Entity
@Table(name = "FIND_TASK_BY_DEALDATE_VIEW", schema = "DAHAI", catalog = "")
public class FindTaskByDealdateViewEntity {
    private String groupNo;
    private Byte validCount;
    private Byte invalidCount;
    private String dealFlag;
    private String submitDate;
    private String submitCode;
    private String originalNo;
    private String importTime;

    @Id
    @Column(name = "GROUP_NO", nullable = false, length = 20)
    public String getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    @Basic
    @Column(name = "VALID_COUNT", nullable = true, precision = 0)
    public Byte getValidCount() {
        return validCount;
    }

    public void setValidCount(Byte validCount) {
        this.validCount = validCount;
    }

    @Basic
    @Column(name = "INVALID_COUNT", nullable = true, precision = 0)
    public Byte getInvalidCount() {
        return invalidCount;
    }

    public void setInvalidCount(Byte invalidCount) {
        this.invalidCount = invalidCount;
    }

    @Basic
    @Column(name = "DEAL_FLAG", nullable = false, length = 2)
    public String getDealFlag() {
        return dealFlag;
    }

    public void setDealFlag(String dealFlag) {
        this.dealFlag = dealFlag;
    }

    @Basic
    @Column(name = "SUBMIT_DATE", nullable = true, length = 8)
    public String getSubmitDate() {
        return submitDate;
    }

    public void setSubmitDate(String submitDate) {
        this.submitDate = submitDate;
    }

    @Basic
    @Column(name = "SUBMIT_CODE", nullable = true, length = 16)
    public String getSubmitCode() {
        return submitCode;
    }

    public void setSubmitCode(String submitCode) {
        this.submitCode = submitCode;
    }

    @Basic
    @Column(name = "ORIGINAL_NO", nullable = false, length = 50)
    public String getOriginalNo() {
        return originalNo;
    }

    public void setOriginalNo(String originalNo) {
        this.originalNo = originalNo;
    }

    @Basic
    @Column(name = "IMPORT_TIME", nullable = true, length = 8)
    public String getImportTime() {
        return importTime;
    }

    public void setImportTime(String importTime) {
        this.importTime = importTime;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;

        FindTaskByDealdateViewEntity that = (FindTaskByDealdateViewEntity) o;

        if (groupNo != null ? !groupNo.equals(that.groupNo) : that.groupNo != null) return false;
        if (validCount != null ? !validCount.equals(that.validCount) : that.validCount != null) return false;
        if (invalidCount != null ? !invalidCount.equals(that.invalidCount) : that.invalidCount != null) return false;
        if (dealFlag != null ? !dealFlag.equals(that.dealFlag) : that.dealFlag != null) return false;
        if (submitDate != null ? !submitDate.equals(that.submitDate) : that.submitDate != null) return false;
        if (submitCode != null ? !submitCode.equals(that.submitCode) : that.submitCode != null) return false;
        if (originalNo != null ? !originalNo.equals(that.originalNo) : that.originalNo != null) return false;
        if (importTime != null ? !importTime.equals(that.importTime) : that.importTime != null) return false;

        return true;
    }

    @Override
    public int hashCode() {
        int result = groupNo != null ? groupNo.hashCode() : 0;
        result = 31 * result + (validCount != null ? validCount.hashCode() : 0);
        result = 31 * result + (invalidCount != null ? invalidCount.hashCode() : 0);
        result = 31 * result + (dealFlag != null ? dealFlag.hashCode() : 0);
        result = 31 * result + (submitDate != null ? submitDate.hashCode() : 0);
        result = 31 * result + (submitCode != null ? submitCode.hashCode() : 0);
        result = 31 * result + (originalNo != null ? originalNo.hashCode() : 0);
        result = 31 * result + (importTime != null ? importTime.hashCode() : 0);
        return result;
    }
}
